Subject: Re: bug#23925: 25.0.95; display broken when maximizing frame

From: Clément Pit-Claudel <[email-masked]>
Date: Tue, 18 Jun 2019 16:03:51 -0400

On 2018-12-17 14:28, Clément Pit-Claudel wrote:
> On 10/12/2018 20.40, Dmitry Gutov wrote:
>> On 22.11.2018 16:12, Dmitry Gutov wrote:
>>
>>> I have just tried a --with-cairo build of the latest master, and can't repro any of the symptoms described here, as long as Emacs is launched with GDK_SCALE=1 (I have a HiDPI screen, and redisplay with scale=2 looks very broken).
>>
>> And with the current emacs-26 branch, even that is not a problem.
>>
>> So to sum up, I'm failing to reproduce any of the problems described in this bug report. Could any of the previous commenters try?
> 
> I just tried it again, on master.  I can't reproduce the problem any more.

I can reproduce the issue again.  

On 26 Mar 2019, Yamamoto Mitsuharu wrote:
> Does the OP still have the similar problem on master?  If so, could
> you try the patch below?

The patch doesn't apply any more for me :/ Could you refresh it?

My current recipe is this:

  src/emacs -Q --eval "(progn (load-theme 'tango-dark t) (sleep-for 1) (setq-default initial-frame-alist '((fullscreen . maximized))) (tool-bar-mode -1) (menu-bar-mode -1))"

It produces a display similar to the screenshot attached.

Clément.